{
  "name": "2022-07-08-CUTE-2022-Workshop-Mulsemedia",
  "version": "1.0.0",
  "description": "Slides for CUTE 2022 Workshop on 2022-07-08",
  "scripts": {
    "dev": "reveal-md slides.md --template template.html --css slides.css --watch --port 1948 --disable-auto-open",
    "pdf": "reveal-md slides.md --template template.html --css slides.css --print slides.pdf",
    "html": "reveal-md --preprocessor static-media-preprocessor.js slides.md --template template.html --css slides.css --assets-dir=css --static build && npm run copy-reveal-plugins",
    "html-disabled-options": "--static-dirs=images,videos",
    "copy-reveal-plugins": "node ensure-build-modules.js && node node_modules/foreach-cli/bin -g 'node_modules/reveal*' -i 'node_modules/reveal.js' -i 'node_modules/reveal-md' -x 'cp -rv {{path}} build/module/' ",
    "publish": "npm run html && node publish.js"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:sat-metalab/workshops/CUTE2022-workshop.git"
  },
  "author": "Christian Frisson",
  "license": "ISC",
  "dependencies": {
    "reveal.js-plugins": "git+https://github.com/rajgoel/reveal.js-plugins.git#v3",
    "reveald3": "^1.5.5",
    "reveal-a11y": "git+https://github.com/ChristianFrisson/reveal-a11y.git",
    "reveal-helpbutton": "git+https://github.com/ChristianFrisson/reveal-helpbutton.git"
  },
  "devDependencies": {
    "foreach-cli": "^1.8.1",
    "fs-extra": "^9.1.0",
    "gh-pages": "^3.1.0",
    "git-repo-info": "^2.1.1",
    "nodegit": "^0.27.0",
    "reveal-md": "git+https://github.com/ChristianFrisson/reveal-md.git#modules"
  }
}
